# The version of the X509 patch
%define x509version 0.9.37

Name: freeswan
Version: 1.99
Release: 2tsl
License: GPL
Group: Network/Utilities
URL: http://www.freeswan.org
Source0: ftp://ftp.xs4all.nl/pub/crypto/freeswan/freeswan-%{version}.tar.gz
Source1: freeswan-1.9.secrets.proto
Source2: ipsec.init
Source3: http://www.strongsec.com/freeswan/x509patch-%{x509version}-freeswan-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root
Provides: vpn ipsec
PreReq: /sbin/chkconfig /sbin/restart_maybe

Summary: A free ipsec VPN solution for Linux

%description
Our project is Free S/WAN for Linux. Our overall goal is to make 
the Internet more secure and more private, to make Internet 
"wiretapping" entirely impractical.

IPSEC is designed to support (among other things) VPNs or virtual 
private networks, which allow multiple sites from an organisation
(optionally, and its clients, suppliers, etc.) to communicate 
securely over an insecure Internet by encrypting all communication 
between the sites. We want to extend that to a real private network 
in which anyone who choses to communicate securely can do so, 
in which strong encryption is universally available.

%prep
%setup -q

# For x509
tar -zxf %SOURCE3
patch -p1 <x509patch-%{x509version}-freeswan-%{version}/freeswan.diff

%build
rm -rf $RPM_BUILD_ROOT
CFLAGS="${RPM_OPT_FLAGS}"
make DESTDIR=/ \
     PUBDIR=/usr/sbin \
     BINDIR=/usr/lib/ipsec \
     INC_USRLOCAL=/usr \
     MANTREE=/usr/share/man programs

%install
mkdir -p ${RPM_BUILD_ROOT}/etc
make DESTDIR=$RPM_BUILD_ROOT \
     PUBDIR=$RPM_BUILD_ROOT/usr/sbin \
     BINDIR=$RPM_BUILD_ROOT/usr/lib/ipsec \
     INC_USRLOCAL=$RPM_BUILD_ROOT/usr \
     MANTREE=$RPM_BUILD_ROOT/usr/share/man install
# We don't want all users to have the same secrets file :)
rm -f ${RPM_BUILD_ROOT}/ipsec.secrets
cp -f ${RPM_SOURCE_DIR}/freeswan-1.9.secrets.proto ${RPM_BUILD_ROOT}/etc/ipsec.secrets
# We actually do want chkconfig to work properly...
rm ${RPM_BUILD_ROOT}/etc/rc.d/init.d/ipsec
install -m755 %SOURCE2 ${RPM_BUILD_ROOT}/etc/rc.d/init.d/ipsec
# For x509
#install --strip x509patch-%{x509version}-freeswan-%{version}/fswcert/fswcert ${RPM_BUILD_ROOT}/usr/lib/ipsec
mkdir -pm 700 ${RPM_BUILD_ROOT}/etc/ipsec.d/cacerts
mkdir -pm 700 ${RPM_BUILD_ROOT}/etc/ipsec.d/crls
# Do the docs from the X509 patch
cp x509patch-%{x509version}-freeswan-%{version}/README doc/README.x509patch
cp x509patch-%{x509version}-freeswan-%{version}/CHANGES doc/CHANGES.x509patch
cp x509patch-%{x509version}-freeswan-%{version}/ipsec.secrets.template doc/ipsec.secrets.template.x509patch


%clean
rm -rf $RPM_BUILD_ROOT

%post
if test ! -e /dev/ipsec ; then
       mknod -m 0200 /dev/ipsec c 36 10 ;
fi
# create correct symlinks.
/sbin/chkconfig --add ipsec
/sbin/restart_maybe ipsec

%preun
if [ $1 = 0 ]; then
	/etc/rc.d/init.d/ipsec stop 2>/dev/null || :
	chkconfig --del ipsec || :
fi

%files
%defattr(-,root,root)
%doc doc README CHANGES COPYING CREDITS
/usr/lib/*
%config(noreplace) %attr(600,root,root) /etc/ipsec.secrets
%config(noreplace) %attr(600,root,root) /etc/ipsec.conf
%config(noreplace) /etc/rc.d/init.d
/usr/share/man/*
/usr/sbin/ipsec
/etc/ipsec.d/*

%changelog
* Mon Oct  6 2003 Chr. Toldnes <christht at tawie dot org> 1.99-2tsl
- New upstream x509-patch: 0.9.37

* Thu Oct 30 2002 Erlend Midttun <erlendbm at trustix dot com>
- Fixed wrong path to IPSEC_DIR.

* Thu Sep 19 2002 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 1.98b and X509 patch 0.9.15.
- Added some docs

* Fri Jan 11 2002 Christian H. Toldnes <christht at trustix dot com> 
- Now maybe we got the correct use of chkconfig....

* Wed Jan  9 2002 Lars Gaarden <larsg at trustix dot com>
- Merge x509-0.9.5 patch

* Thu Jan  3 2002 Christian H. Toldnes <christht at trustix dot com>
- Correct chkconfig line in new init script.

* Thu Nov  1 2001 Erlend Midttun <erlendbm at trustix dot com>
- Picked up 1.91 to fix memory leak.

* Fri Jun 13 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated serial when rebuilding for 1.5.

* Wed Mar 28 2001 Alexander Reelsen <ar at trustix dot com>
- Updated to 1.9, which fixes a memory leak

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Fixed preun to only run chkconfig off and service stop if not
  upgrading.

* Fri Aug  4 2000 Per Ivar Paulsen <perp at trustix dot com>
- First Build For TSL 
